Update auf Apache >=2.4.12 unter Debian Jessie

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von Floh1111, 21.06.2016.

  1. #1 Floh1111, 21.06.2016
    Floh1111

    Floh1111 Realist

    Dabei seit:
    06.06.2006
    Beiträge:
    701
    Zustimmungen:
    0
    Ort:
    Oldenburg (Niedersachsen)
    Hi,

    aufgrund eines Bugs in Apache 2.4 benötige ich zum Deployment von Seafile unter Debian Jessie das Paket apache2 in der Version >= 2.4.12 (siehe Manual ganz unten) incl. der Abhängigkeiten apache2-mpm-event und apache2-mpm-prefork.

    Mein Plan war den Apache aus Debian Testing zu nutzen, allerdings fehlen dort apache2-mpm-event apache2-mpm-prefork in der passenden Version. Gibt es Alternative Repos die fertige Pakete von Apache in einer passenden Version bereitstellen oder andere Alternativen als sich das ganze vollständig selbst zu kompilieren?

    Viele Grüße
    Clemens
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. marce

    marce Kaiser

    Dabei seit:
    01.08.2007
    Beiträge:
    1.053
    Zustimmungen:
    8
    Du meinst wegen
    ?
    Tritt das beschriebene Verhalten bei Dir auf? Weil üblicherweise, auch wenn die Versionsnummer nicht hochgezählt wird, werden solche Bugfixes zurückportiert und somit solltest Du die mit der Distribution mitgelieferte Version verwenden können...
     
  4. #3 Floh1111, 21.06.2016
    Floh1111

    Floh1111 Realist

    Dabei seit:
    06.06.2006
    Beiträge:
    701
    Zustimmungen:
    0
    Ort:
    Oldenburg (Niedersachsen)
    Genau, das Problem tritt bei mir auf (getestet und alle aktuellen Updates sind installiert). Der passende Patch für diesen Fehler wurde wohl leider nicht auf 2.4.10 zurückportiert (hier bestätigt das noch jemand). Ich kann auf der Kiste nicht wirklich experimentieren darum wollte ich mal fragen ob es da eine elegantere Lösung gibt als eine zweite Maschine zu mieten und Nginx aufzusetzen. Nginx in nem Docker scheidet leider auch aus :(

    Viele Grüße
    Clemens
     
  5. marce

    marce Kaiser

    Dabei seit:
    01.08.2007
    Beiträge:
    1.053
    Zustimmungen:
    8
    Du brauchst ja keinen Docker für NginX - Apacbe und NginX lassen sich völlig problemlos parallel installieren und betreiben.

    Was die Repo-Frage angeht bin ich leider raus, da müssen sich echte Debianer melden.
     
  6. #5 Floh1111, 21.06.2016
    Floh1111

    Floh1111 Realist

    Dabei seit:
    06.06.2006
    Beiträge:
    701
    Zustimmungen:
    0
    Ort:
    Oldenburg (Niedersachsen)
    Cool das war mir so direkt nicht klar, das werde ich auf jeden Fall testen. Danke dir für den Tip!

    Falls dazu noch jemand etwas hat fände ich das auch interessant ;)

    Viele Grüße
    Clemens
     
  7. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  8. marce

    marce Kaiser

    Dabei seit:
    01.08.2007
    Beiträge:
    1.053
    Zustimmungen:
    8
    auch wenn OT - aber wenn ich sowas lese in Verbindung mit
    frage ich mich immer, was man da dann so die letzten 10 Jahre gemacht hat... :-)
     
  9. #7 Floh1111, 22.06.2016
    Floh1111

    Floh1111 Realist

    Dabei seit:
    06.06.2006
    Beiträge:
    701
    Zustimmungen:
    0
    Ort:
    Oldenburg (Niedersachsen)
    Merkste selbst.

    Danke
    Clemens
     
Thema: Update auf Apache >=2.4.12 unter Debian Jessie
Besucher kamen mit folgenden Suchen
  1. debian apache 2.4.12 updaten

Die Seite wird geladen...

Update auf Apache >=2.4.12 unter Debian Jessie - Ähnliche Themen

  1. Update auf apache 2.4.3

    Update auf apache 2.4.3: Guten Tag, Als unix-Neuling habe ich einen Server auf dem CentOS 6 mit Apache 2.2.15 und Plesk 11 laufen. Darauf sollte ich nun ColdFusion 10...
  2. Apache Problem nach PHP Update

    Apache Problem nach PHP Update: Hallo, ich habe heute von der PHP Version 4.4 auf die Version 5.x geupdatet. Hat soweit auch funktioniert. Allerdings startet Apache nun nicht...
  3. php mysql apache updaten

    php mysql apache updaten: Hy, ich habe auf meinem server plesk laufen und möchte daher gerne die php apache und mysql versionen auf dem neusten stand halten, wie kann ich...
  4. Apache unter Suse 8 updaten?

    Apache unter Suse 8 updaten?: Also ich will den Apache 1.3.26 unter Suse 8.0 haben. Irgendwie muß ich mir ein Installationspacket selber machen oder die Installation des...
  5. Nicht erkannte Zeichen nach Update

    Nicht erkannte Zeichen nach Update: Hi, nachdem ich mein Kali Linux geupdated habe, ist mir aufgefallen dass viele Zeichen auf verschiedenen Nutzeroberflächen nur fehlerhaft...